GDB (xrefs)

Functions
linux-waitpid.h File Reference

Go to the source code of this file.

## Functions
int | my_waitpid (int pid, int *status, int flags)
char * | status_to_str (int status)

## Function Documentation

## ◆ my_waitpid()

int my_waitpid | ( | int | pid,
|  | int * | status,
|  | int | flags
| ) |  |

Definition at line 80 of file linux-waitpid.c.

References flags, pid, and status.

Referenced by detach_one_lwp(), kill_wait_one_lwp(), linux_check_ptrace_features(), linux_child_follow_fork(), linux_handle_extended_wait(), linux_nat_post_attach_wait(), linux_nat_wait_1(), linux_test_for_tracefork(), and wait_lwp().

## ◆ status_to_str()

char* status_to_str | ( | int | status | ) |

Definition at line 55 of file linux-waitpid.c.

References status, SYSCALL_SIGTRAP, WEXITSTATUS, WIFSIGNALED, WIFSTOPPED, WSTOPSIG, and WTERMSIG.

Referenced by linux_handle_extended_wait(), linux_nat_attach(), linux_nat_filter_event(), linux_nat_post_attach_wait(), linux_nat_wait_1(), stop_wait_callback(), and wait_lwp().